<nav class="navbar navbar-expand-lg navbar-light bg-dark border-bottom">
	<h2 class="page-title text-light">Libraries</h2>
</nav>

<div class="container-fluid">
	<div class="py-3 float-left search">
		<input type="text" class="form-control search-input" [(ngModel)]="idToSearch" placeholder="Search by id">
	</div>
	<div class="py-3 mx-3 float-left search">
		<a (click)="searchById(idToSearch)" class="pl-3 btn btn-primary text-light">Search</a>
	</div>
	<div class="py-3 mr-3 float-left search">
		<a (click)="clearSearch()" class="pl-3 btn btn-danger text-light">Clear</a>
	</div>

	<div>
		<table class="table table-bordered">
			<thead class="thead-dark">
				<tr>
					<th>Id</th>
					<th>Name</th>
					<th>Address Id</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody *ngIf="libraries">
				<tr *ngFor="let library of libraries">
					<td>{{ library.id }}</td>
					<td>{{ library.name }}</td>
					<td class="speech-bubble" title="{{ library.address }}">
						{{ library.addressId }}
					</td>
					<td>
						<a style="cursor: pointer;" (click)="editLibrary(library)">
							<clr-icon shape="note" size="30"></clr-icon>
						</a>
						<a style="cursor: pointer;" (click)="removeLibrary(library)">
							<clr-icon shape="trash" size="30"></clr-icon>
						</a>
					</td>
				</tr>
			</tbody>
		</table>

		<h4 class="form-group">Add/Edit Library</h4>
		<form class="w-75" (ngSubmit)="submitLibrary()">
			<div class="form-group row">
				<label for="name" class="col-sm-2 col-form-label">Name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="name" [(ngModel)]="libraryForm.name" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="addressId" class="col-sm-2 col-form-label">Address Id</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="addressId" [(ngModel)]="libraryForm.addressId" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<button type="submit" class="btn btn-primary">Submit</button>
			<a (click)="clearForm()" class="m-3 btn btn-danger text-light" [ngClass]="{'disabled': disabled}">Cancel edit</a>
		</form>
	</div>
</div>